Debian Bug report logs - #677313
xboard: no way to remember -inc/-timeIncrement option

version graph

Package: xboard; Maintainer for xboard is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for xboard is src:xboard.

Reported by: Ian Zimmerman <itz@buug.org>

Date: Wed, 13 Jun 2012 07:21:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version xboard/4.6.2-1

Forwarded to https://savannah.gnu.org/bugs/?36673

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, itz@buug.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#677313; Package xboard. (Wed, 13 Jun 2012 07:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Zimmerman <itz@buug.org>:
New Bug report received and forwarded. Copy sent to itz@buug.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 13 Jun 2012 07:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ian Zimmerman <itz@buug.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xboard: no way to remember -inc/-timeIncrement option
Date: Wed, 13 Jun 2012 00:16:41 -0700
Package: xboard
Version: 4.6.2-1
Severity: normal

Quite annoyingly, xboard seems to ignore this option when it is given in
a configuration file (doesn't matter if the top level one or one
included with -settingsFile), and to always force a "classic" time
control on startup.  This can be changed interactively with the GUI but
is not saved to the configuration file.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.3.8-custom (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xboard depends on:
ii  dpkg          1.16.3
ii  install-info  4.13a.dfsg.1-10
ii  libc6         2.13-33
ii  libice6       2:1.0.8-2
ii  libsm6        2:1.2.1-2
ii  libx11-6      2:1.4.99.901-2
ii  libxaw7       2:1.0.10-2
ii  libxmu6       2:1.1.1-1
ii  libxpm4       1:3.5.10-1
ii  libxt6        1:1.1.3-1

Versions of packages xboard recommends:
ii  fairymax       <none>
ii  xfonts-100dpi  1:1.0.3
ii  xfonts-75dpi   1:1.0.3

Versions of packages xboard suggests:
ii  rxvt-unicode [x-terminal-emulator]  9.15-1

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#677313; Package xboard. (Sun, 17 Jun 2012 13:24:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Legout <vincent@legout.info>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sun, 17 Jun 2012 13:24:40 GMT) Full text and rfc822 format available.

Message #10 received at 677313@bugs.debian.org (full text, mbox):

From: Vincent Legout <vincent@legout.info>
To: Ian Zimmerman <itz@buug.org>
Cc: 677313@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#677313: xboard: no way to remember -inc/-timeIncrement option
Date: Sun, 17 Jun 2012 15:23:51 +0200
forwarded 677313 https://savannah.gnu.org/bugs/?36673
thanks

Hi,

Ian Zimmerman <itz@buug.org> writes:

> Quite annoyingly, xboard seems to ignore this option when it is given in
> a configuration file (doesn't matter if the top level one or one
> included with -settingsFile), and to always force a "classic" time
> control on startup.  This can be changed interactively with the GUI but
> is not saved to the configuration file.

Thanks, I've forwarded it upstream.

Vincent




Set Bug forwarded-to-address to 'https://savannah.gnu.org/bugs/?36673'. Request was from Vincent Legout <vincent@legout.info> to control@bugs.debian.org. (Sun, 17 Jun 2012 13:24:42 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#677313; Package xboard. (Sat, 29 Sep 2012 18:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "h.g. muller" <h.g.muller@hccnet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 29 Sep 2012 18:21:05 GMT) Full text and rfc822 format available.

Message #17 received at 677313@bugs.debian.org (full text, mbox):

From: "h.g. muller" <h.g.muller@hccnet.nl>
To: 677313@bugs.debian.org
Date: Sat, 29 Sep 2012 20:18:15 +0200
I intentionally disabled persistence of the -inc option by forcing its 
value to -1 in the last line of the xboard.conf master settings file. This 
was motivated by the fact that a saved -inc value >= 0 would cause the -mps 
option to be ignored, even when the latter is explicitly specified on the 
command line. By resetting -inc on every start, at least all options will 
be obeyed from the command line, as they used to be before settings were 
saved. It seemed preferable to have a slight annoyance over a problem that 
users probably would never figure out.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#677313; Package xboard. (Wed, 02 Jan 2013 03:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Zimmerman <itz@buug.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 02 Jan 2013 03:30:03 GMT) Full text and rfc822 format available.

Message #22 received at 677313@bugs.debian.org (full text, mbox):

From: Ian Zimmerman <itz@buug.org>
To: "h.g. muller" <h.g.muller@hccnet.nl>
Cc: 677313@bugs.debian.org
Subject: Re: xboard: no way to remember -inc/-timeIncrement option
Date: Tue, 1 Jan 2013 19:27:44 -0800
On Sat, 29 Sep 2012 20:18:15 +0200
"h.g. muller" <h.g.muller@hccnet.nl> wrote:

h> I intentionally disabled persistence of the -inc option by forcing
h> its value to -1 in the last line of the xboard.conf master settings
h> file. This was motivated by the fact that a saved -inc value >= 0
h> would cause the -mps option to be ignored, even when the latter is
h> explicitly specified on the command line. By resetting -inc on every
h> start, at least all options will be obeyed from the command line, as
h> they used to be before settings were saved. It seemed preferable to
h> have a slight annoyance over a problem that users probably would
h> never figure out.

That may have been the best solution, but it should be documented.

-- 
Ian Zimmerman
gpg public key: 1024D/C6FF61AD
fingerprint: 66DC D68F 5C1B 4D71 2EE5  BD03 8A00 786C C6FF 61AD
http://www.gravatar.com/avatar/c66875cda51109f76c6312f4d4743d1e.png
Rule 420: All persons more than eight miles high to leave the court.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#677313; Package xboard. (Wed, 02 Jan 2013 09:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "h.g. muller" <h.g.muller@hccnet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 02 Jan 2013 09:33:04 GMT) Full text and rfc822 format available.

Message #27 received at 677313@bugs.debian.org (full text, mbox):

From: "h.g. muller" <h.g.muller@hccnet.nl>
To: Ian Zimmerman <itz@buug.org>
Cc: 677313@bugs.debian.org
Subject: Re: xboard: no way to remember -inc/-timeIncrement option
Date: Wed, 02 Jan 2013 10:31:34 +0200
At 19:27 1-1-2013 -0800, Ian Zimmerman wrote:
>On Sat, 29 Sep 2012 20:18:15 +0200
>"h.g. muller" <h.g.muller@hccnet.nl> wrote:
>
>h> I intentionally disabled persistence of the -inc option by forcing
>h> its value to -1 in the last line of the xboard.conf master settings
>h> file. This was motivated by the fact that a saved -inc value >= 0
>h> would cause the -mps option to be ignored, even when the latter is
>h> explicitly specified on the command line. By resetting -inc on every
>h> start, at least all options will be obeyed from the command line, as
>h> they used to be before settings were saved. It seemed preferable to
>h> have a slight annoyance over a problem that users probably would
>h> never figure out.
>
>That may have been the best solution, but it should be documented.

The manual in general does not list with every option whether it is persistent
or volatile. In version 4.7 the problem will have been fixed by storing the
increment as negative -mps value (so that -mps 40 -tc 5 means 40moves/5min
and -mps -3 -tc 5 means 5 min + 3 sec/move). All TC types are then encoded
by a single option, which removes the problem of one persistent option
'eclipsing' another. -inc can then be deprecated, as the increment will be
remembered in -mps, which is persistent.


>--
>Ian Zimmerman
>gpg public key: 1024D/C6FF61AD
>fingerprint: 66DC D68F 5C1B 4D71 2EE5  BD03 8A00 786C C6FF 61AD
>http://www.gravatar.com/avatar/c66875cda51109f76c6312f4d4743d1e.png
>Rule 420: All persons more than eight miles high to leave the court.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#677313; Package xboard. (Wed, 02 Jan 2013 17:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Zimmerman <itz@buug.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 02 Jan 2013 17:48:05 GMT) Full text and rfc822 format available.

Message #32 received at 677313@bugs.debian.org (full text, mbox):

From: Ian Zimmerman <itz@buug.org>
To: "h.g. muller" <h.g.muller@hccnet.nl>
Cc: 677313@bugs.debian.org
Subject: Re: xboard: no way to remember -inc/-timeIncrement option
Date: Wed, 2 Jan 2013 09:45:12 -0800
On Wed, 02 Jan 2013 10:31:34 +0200
"h.g. muller" <h.g.muller@hccnet.nl> wrote:

> The manual in general does not list with every option whether it is
> persistent or volatile.

It says this:

       This  section documents the command-line options to XBoard.  You
       can set these options in two ways: by typing them on the shell
       command line you use to start XBoard,  or  by  editing  the
       settings  file  (usually ~/.xboardrc) to alter the value of the
       setting that was saved there.

which is false for any option of the "volatile" kind (I didn't know
they existed).

-- 
Ian Zimmerman
gpg public key: 1024D/C6FF61AD
fingerprint: 66DC D68F 5C1B 4D71 2EE5  BD03 8A00 786C C6FF 61AD
http://www.gravatar.com/avatar/c66875cda51109f76c6312f4d4743d1e.png
Rule 420: All persons more than eight miles high to leave the court.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#677313; Package xboard. (Wed, 02 Jan 2013 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "h.g. muller" <h.g.muller@hccnet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 02 Jan 2013 19:00:03 GMT) Full text and rfc822 format available.

Message #37 received at 677313@bugs.debian.org (full text, mbox):

From: "h.g. muller" <h.g.muller@hccnet.nl>
To: Ian Zimmerman <itz@buug.org>
Cc: 677313@bugs.debian.org
Subject: Re: xboard: no way to remember -inc/-timeIncrement option
Date: Wed, 02 Jan 2013 19:57:19 +0200
At 09:45 2-1-2013 -0800, Ian Zimmerman wrote:
>On Wed, 02 Jan 2013 10:31:34 +0200
>"h.g. muller" <h.g.muller@hccnet.nl> wrote:
>
> > The manual in general does not list with every option whether it is
> > persistent or volatile.
>
>It says this:
>
>        This  section documents the command-line options to XBoard.  You
>        can set these options in two ways: by typing them on the shell
>        command line you use to start XBoard,  or  by  editing  the
>        settings  file  (usually ~/.xboardrc) to alter the value of the
>        setting that was saved there.
>
>which is false for any option of the "volatile" kind (I didn't know
>they existed).

The manual was written at a time when XBoard did not have a settings file
at all, and all options were volatile. The settings file was something that was
ported from WinBoard.  That makes the manual a bit obsolete in some places.
I can't work on the code and the manual at the same time, and working on
the code is already close to 1.5 full-time jobs. So the best strategy seemed
to be to just give up on the manual.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#677313; Package xboard. (Wed, 02 Jan 2013 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Zimmerman <itz@buug.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 02 Jan 2013 19:33:03 GMT) Full text and rfc822 format available.

Message #42 received at 677313@bugs.debian.org (full text, mbox):

From: Ian Zimmerman <itz@buug.org>
To: "h.g. muller" <h.g.muller@hccnet.nl>
Cc: 677313@bugs.debian.org
Subject: Re: xboard: no way to remember -inc/-timeIncrement option
Date: Wed, 2 Jan 2013 11:30:19 -0800
On Wed, 02 Jan 2013 19:57:19 +0200
"h.g. muller" <h.g.muller@hccnet.nl> wrote:

h> The manual in general does not list with every option whether it is
h> persistent or volatile.

Ian> It says this:

Ian> This section documents the command-line options to XBoard.  You can
Ian> set these options in two ways: by typing them on the shell command
Ian> line you use to start XBoard, or by editing the settings file
Ian> (usually ~/.xboardrc) to alter the value of the setting that was
Ian> saved there.

Ian> which is false for any option of the "volatile" kind (I didn't know
Ian> they existed).

h> The manual was written at a time when XBoard did not have a settings
h> file at all, and all options were volatile. The settings file was
h> something that was ported from WinBoard.  That makes the manual a bit
h> obsolete in some places. I can't work on the code and the manual at
h> the same time, and working on the code is already close to 1.5
h> full-time jobs. So the best strategy seemed to be to just give up on
h> the manual.

XBoard has always had the XResources file, and I have always used that
and loved it, until the *%&$ing xboardrc file started overriding it.
So no, they weren't volatile at all.

-- 
Ian Zimmerman
gpg public key: 1024D/C6FF61AD
fingerprint: 66DC D68F 5C1B 4D71 2EE5  BD03 8A00 786C C6FF 61AD
http://www.gravatar.com/avatar/c66875cda51109f76c6312f4d4743d1e.png
Rule 420: All persons more than eight miles high to leave the court.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#677313; Package xboard. (Thu, 03 Jan 2013 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "h.g. muller" <h.g.muller@hccnet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 03 Jan 2013 16:57:03 GMT) Full text and rfc822 format available.

Message #47 received at 677313@bugs.debian.org (full text, mbox):

From: "h.g. muller" <h.g.muller@hccnet.nl>
To: Ian Zimmerman <itz@buug.org>
Cc: 677313@bugs.debian.org
Subject: Re: xboard: no way to remember -inc/-timeIncrement option
Date: Thu, 03 Jan 2013 17:53:08 +0200
>
>XBoard has always had the XResources file, and I have always used that
>and loved it, until the *%&$ing xboardrc file started overriding it.
>So no, they weren't volatile at all.

That would still qualify as volatile, because XBoard would  never write in the
XResources file. So whatever changes you would make during a session,
they would be gone next time you run XBoard. Which is what 'volatile' means.

If you are happier editing settings files than controlling settings through the
GUI menus, you can switch Save Settings on Exit off and force saving of that
setting in xboardrc once with Save Settings Now. Then your xboardrc would
never be overwritten and you could use it as before you used XResources.
Or if you would only want that for part of the options, you could edit
xboardrc to add the lines

/settingsFile ~/MyXBoardSettings
/saveSettingsFile ~/MyXBoardSettings

at the beginning. That would also protect xboardrc from overwriting (as it
redirects the saving to the file MyXBoardSettings in your home directory),
so you could use the xboardrc for statically defining any option setting
you wanted (like with the old XResources), and options that are not
mentioned there will still persist to the next session (if they were not 
volatile
to begin with).

Unfortunately none of this would work for -inc as long as the -inc -1 is the
last line of /etc/xboard.conf master settings file, which overrules everything
else. But, as I said, in the development version this has already been cured,
by making the increment persist as the -mps option.


>--
>Ian Zimmerman
>gpg public key: 1024D/C6FF61AD
>fingerprint: 66DC D68F 5C1B 4D71 2EE5  BD03 8A00 786C C6FF 61AD
>http://www.gravatar.com/avatar/c66875cda51109f76c6312f4d4743d1e.png
>Rule 420: All persons more than eight miles high to leave the court.




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 02 Sep 2013 17:39:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 10:44:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.